Update Knowledge Base
curl --request PUT \
--url https://api.kollie.ai/api/v1/knowledge-base/{kb_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.kollie.ai/api/v1/knowledge-base/{kb_id}"
payload = {
"name": "<string>",
"description": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
organization_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.kollie.ai/api/v1/knowledge-base/{kb_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Knowledge Bases
Update Knowledge Base
Update a knowledge base.
PUT
/
api
/
v1
/
knowledge-base
/
{kb_id}
Update Knowledge Base
Update Knowledge Base
This endpoint updates an existing knowledge base.Request
Headers
| Name | Type | Required | Description |
|---|---|---|---|
| Authorization | string | Yes | Bearer token for authentication |
| Content-Type | string | Yes | application/json |
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| kb_id | string | Yes | The ID of the knowledge base to update |
Body
{
"name": "string",
"description": "string"
}
Body Fields
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | No | New name for the knowledge base |
| description | string | No | New description for the knowledge base |
Response
200 OK
{
"data": {
"id": "string",
"name": "string",
"description": "string",
"created_at": "string",
"updated_at": "string",
"organization_id": "string"
}
}
Response Fields
| Field | Type | Description |
|---|---|---|
| id | string | Unique identifier for the knowledge base |
| name | string | Updated name of the knowledge base |
| description | string | Updated description of the knowledge base |
| created_at | string | Timestamp when the knowledge base was created |
| updated_at | string | Timestamp when the knowledge base was last updated |
| organization_id | string | ID of the organization that owns the knowledge base |
Example
curl -X PUT 'https://api.kollie.ai/api/v1/knowledge-base/123e4567-e89b-12d3-a456-426614174000' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Updated Product Documentation",
"description": "Updated documentation for our product features and services"
}'
Authorizations
APIKeyHeaderHTTPBearer
Path Parameters
Body
application/json
Response
Successful Response
⌘I

